<?php
	if( $docroot == '' ){
		die( _("Accesso negato!") );
	}
	

	$idlistino = $_POST['id_record'];


	switch( $html->form('op', 'post') ){

		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){

				$nome = save( $_POST['nome'] );
				$prc_guadagno = str_replace( ",", ".", save( $_POST['prc_guadagno'] ) );
				$note = save($_POST['note']);

				$query = "UPDATE mg_listini SET nome=\"$nome\", prc_guadagno=\"$prc_guadagno\", note=\"$note\" WHERE id=\"$idlistino\"";

				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni salvate correttamente!" );
			
			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$nome = save( $_POST['nome'] );
				$prc_guadagno = str_replace( ",", ".", save( $_POST['prc_guadagno'] ) );

				if( isset($_POST['nome']) ){
					
					$dbo->query("INSERT INTO mg_listini( nome, prc_guadagno ) VALUES ( \"".$nome."\", \"".$prc_guadagno."\" )");
					$id_record = $dbo->last_inserted_id();
					
					array_push( $_SESSION['infos'], "Nuovo listino aggiunto!" );
					
				}
			}
			break;

		case "associa":
			$query = "SELECT * FROM mg_listini  WHERE id=\"$idlistino\"";
			$rs = $dbo->fetchArray($query);
			$prc_guadagno=$rs[0]['prc_guadagno'];
			//Cancello vecchia associazione
			$query="DELETE FROM mg_listini_art WHERE idlistino=\"$idlistino\"";
			$rs = $dbo->query($query);
			//Ciclo per tutti gli articoli
			$query = "SELECT id,prezzo_vendita FROM mg_articoli";
			$rs_art = $dbo->fetchArray($query);
			$tot_art = sizeof($rs_art);
			if( $tot_art>0 ){
				for( $i=0; $i<$tot_art; $i++ ){
					$prz_old=$rs_art[$i]['prezzo_vendita'];
					$prz_new=$rs_art[$i]['prezzo_vendita'] + $rs_art[$i]['prezzo_vendita']/100*$prc_guadagno;
					$id_articolo=$rs_art[$i]['id'];
					$dbo->query("INSERT INTO mg_listini_art( idlistino, prc_guadagno,idarticolo,prezzo ) VALUES ( \"".$idlistino."\", \"".$prc_guadagno."\",\"".$id_articolo."\" ,\"".$prz_new."\"  )");
				}
			}
			 
				array_push( $_SESSION['infos'],'Associazione eseguita'  );
			
			break;
		case "addarticolo":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				if( isset($_POST['idarticolo']) ){
					$idlistino = save( $_GET['id_record'] );
					$query = "SELECT * FROM mg_listini  WHERE id=\"$idlistino\"";
					$rs = $dbo->fetchArray($query);
					$prc_guadagno=$rs[0]['prc_guadagno'];
					$idarticolo = save( $_POST['idarticolo'] );
					$prz_new = force_decimal( $_POST['prezzo'] );
					//testo se articolo gia associato
					$query = "SELECT id FROM mg_listini_art WHERE idlistino=\"$idlistino\" and idarticolo=\"$idarticolo\"";
					$rs_art = $dbo->fetchArray($query);
					$tot_art = sizeof($rs_art);
					if( $tot_art > 0 ){
						array_push( $_SESSION['infos'], "Articolo già aggiunta!" );
					}
					else{
						
						$dbo->query("INSERT INTO mg_listini_art( idlistino, prc_guadagno,idarticolo,prezzo ) VALUES ( \"".$idlistino."\", \"".$prc_guadagno."\",\"".$idarticolo."\" ,\"".$prz_new."\"  )");
						array_push( $_SESSION['infos'], "Associazione Articolo aggiunta!" );
					}
				}
			}
			
			break;
		case "editriga":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idrecordkit = save( $_GET['id_record'] );
				$prezzo_vendita = force_decimal( $_POST['subtot'] );
				$percentuale = force_decimal( $_POST['subtot_perc'] );
				$idriga = save( $_POST['idriga'] );
			
				$query = "SELECT * FROM mg_listini_art WHERE id=\"$idriga\"";
				$rs_list = $dbo->fetchArray($query);
					$old_perc=$rs_list[0]['prc_guadagno'];
					$old_prz=$rs_list[0]['prezzo'];
					$idarticolo=$rs_list[0]['idarticolo'];
				$query = "SELECT prezzo_vendita FROM mg_articoli WHERE id='".$idarticolo."'";
				$rs_art = $dbo->fetchArray($query);
				
				if ($prezzo_vendita != '0'){ 
					if ($percentuale != $old_perc){ 
						// e' stata modificata la percentuale									
						$prezzo_vendita=$rs_art[0]['prezzo_vendita'] - (($rs_art[0]['prezzo_vendita'] / 100 ) * -$percentuale);					
					}
					else{
						// e' stata modificato il prezzo finale
						$percentuale = -(($rs_art[0]['prezzo_vendita'] -$prezzo_vendita ) / $rs_art[0]['prezzo_vendita'])*100;						
					}
					$query = "UPDATE mg_listini_art SET prezzo=\"$prezzo_vendita\"".
								" , prc_guadagno ='".$percentuale."' WHERE id='".$idriga."'";
						if( $dbo->query($query) ){
							array_push( $_SESSION['infos'],	"Prezzo Listino modificato!" );
						}	
				}
					else{
					$dbo->query("DELETE FROM mg_listini_art WHERE id='$idriga'");
					array_push( $_SESSION['infos'], "Associazione articolo eliminata" );
				}
				
			}
			break;
		case "unlink_articolo":
			$idriga = save( $_POST['idriga'] );			
			if( $modules_info[$module_name]["permessi"] == 'rw' ){			
				$dbo->query("DELETE FROM mg_listini_art WHERE id='$idriga'");
				array_push( $_SESSION['infos'], "Associazione articolo eliminata" );
			}
			
			break;
		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$query="DELETE FROM mg_listini WHERE id=\"$idlistino\"";
				$rs = $dbo->query($query);
				$query="DELETE FROM mg_listini_art WHERE idlistino=\"$idlistino\"";
				$rs = $dbo->query($query);
				array_push( $_SESSION['infos'], 'Listino eliminato' );

			}
			break;

	}


?>
